% This script sets parameter and performs initial calculations for
% simple simulink average value dc/dc converter simulation, runs the
% study, and then plots the results

% Written by S.D. Sudhoff 
%   School of Electrical and Computer Engineering
%   1285 Electrical Engineering Building
%   West Lafayette, IN 47907-1285
%   Phone: 765-494-3246
%   Fax: 765-494-0676
%   E-mail: sudhoff@ecn.purdue.edu

% initialize parameters
savm_dcdc_setup;

% run the study
% simulink('savm_dcdc');  OLD
sim('savm_dcdc');         % Revision

% plot the results
savm_dcdc_plot('DCC Converter',DCDC_Waveforms,10);